from django.conf.urls import url
from django.contrib.auth import views as auth_views

from . import views
from . import forms
from . import auth_views as docbow_auth_views


urlpatterns = [
    url(r'^login/$',
        docbow_auth_views.login,
        {'template_name': 'registration/login.html'},
        name='auth_login'),
    url(r'^logout/$',
        auth_views.logout,
        {'template_name': 'registration/logout.html'},
        name='auth_logout'),
    url(r'^password/change/$',
        views.password_change,
        name='auth_password_change'),
    url(r'^password/change/done/$',
        auth_views.password_change_done,
        name='auth_password_change_done'),
    url(r'^password/reset/$',
        auth_views.password_reset,
        name='auth_password_reset',
        kwargs={'post_reset_redirect': '/accounts/password/reset/done/',
                'password_reset_form': forms.PasswordResetFormWithLogging}),
    url(r'^password/reset/confirm/(?P<uidb64>[0-9A-Za-z_\-]+)/(?P<token>.+)/$',
        auth_views.password_reset_confirm,
        name='auth_password_reset_confirm'),
    url(r'^password/reset/complete/$',
        auth_views.password_reset_complete,
        name='password_reset_complete'),
    url(r'^password/reset/done/$',
        views.password_reset_done,
        name='auth_password_reset_done'),
]
